# DND interaction - Feature Code to FOP2
$AMI_Event_Handler{'fpbxdnd'}{'DEVICESTATECHANGE'} = sub {

    my $event = shift;
    my @allreturn = ();
    my $device = ${$event}{'Device'};
    my $state  = ${$event}{'State'};
    my $extension = '';
    if( $device =~ m/Custom:DND/ ) {
        my @partes = split(/Custom:DND/,$device);
        $extension = $partes[1];

        my $channel = main::get_btn_channel('GENERAL',$extension);
        $return  = "Action: UserEvent\r\n";
        $return .= "UserEvent: FOP2ASTDB\r\n";
        $return .= "Channel: $channel\r\n";
        $return .= "Family: fop2state\r\n";
        if($state eq "BUSY") {
            $return .= "Value: Do not Disturb\r\n";
        } else {
            $return .= "Value: \r\n";
        }
        $return .= "\r\n";
        push @allreturn, $return;

        if($state eq "BUSY") {
            $return  = "Action: DBPut\r\n";
            $return .= "Family: fop2state\r\n";
            $return .= "Key: $channel\r\n";
            $return .= "Val: Do not Disturb\r\n";
            $return .= "\r\n";
        } else {
            $return  = "Action: DBDel\r\n";
            $return .= "Family: fop2state\r\n";
            $return .= "Key: $channel\r\n";
            $return .= "\r\n";
        }
        push @allreturn, $return;

    }

    return @allreturn;
};

